Update Domain Lock
Update domainlock of a delayed stream.
curl -X POST "https://api.5centscdn.com/v2/streams/timeshift/1001/domainlock" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "Y",
"noreferer": "Y",
"list": "example.com,docs.example.com",
"ips": ""
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/timeshift/1001/domainlock"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "Y",
"noreferer": "Y",
"list": "example.com,docs.example.com",
"ips": ""
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/timeshift/1001/domainlock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "Y",
"noreferer": "Y",
"list": "example.com,docs.example.com",
"ips": ""
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "Y",
"noreferer": "Y",
"list": "example.com,docs.example.com",
"ips": ""
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/timeshift/1001/domainlock", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/timeshift/1001/domainlock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "Y",
"noreferer": "Y",
"list": "example.com,docs.example.com",
"ips": ""
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": {
"monitoring_id": null,
"type": "timeshift",
"id": 72358,
"serviceid": 103,
"name": "5cc_ts/testt_test",
"codec": "h264",
"ingests": [
[],
null
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": 59180,
"server": "1",
"backup": "",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-05-04 06:31:34",
"updated_at": "2026-05-04 06:57:41",
"lastseen_at": false,
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 1,
"status": "Deploying",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": false
},
"parts": {
"pp": "5cc_ts",
"sn": "testt_test",
"full": "5cc_tstestt_test"
},
"parent": {
"id": 59180,
"name": "5cc/testt",
"codec": "h264",
"stype": "push",
"rtmpauth": "N"
},
"restream": {},
"timeshift": {
"shift": 2859,
"type": "stream"
},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "",
"rtsp": "",
"hlsManifest": "playlist_dvr.m3u8",
"dashManifest": "manifest_dvr.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": ""
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": ""
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "knpup7i9xn2u3drv",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=5cc_ts/testt_test",
"base": "https://cdn.example.com/player/hls/skin1/knpup7i9xn2u3drv/",
"hls": "https://cdn.example.com/player/hls/skin1/knpup7i9xn2u3drv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=5cc_ts/testt_test",
"dash": "https://cdn.example.com/player/dash/skin1/knpup7i9xn2u3drv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=5cc_ts/testt_test"
}
},
"tokenized": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist_dvr.m3u8",
"dashManifest": "manifest_dvr.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"hostname": "cdn.example.com",
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/flowplayer/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/videojs/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "knpup7i9xn2u3drv",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=5cc_ts/testt_test",
"base": "https://cdn.example.com/player/hls/skin1/knpup7i9xn2u3drv/",
"hls": "https://cdn.example.com/player/hls/skin1/knpup7i9xn2u3drv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=5cc_ts/testt_test",
"dash": "https://cdn.example.com/player/dash/skin1/knpup7i9xn2u3drv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=5cc_ts/testt_test"
}
},
"path": {
"hls": "/5cc_ts/testt_test/playlist_dvr.m3u8",
"dash": "/5cc_ts/testt_test/manifest_dvr.mpd"
},
"token": {
"hls": "md5=W7IPXDr8J3ftKmIMldBkbg&path=%2F5cc_ts%2Ftestt_test&expires=1777881461",
"dash": "md5=W7IPXDr8J3ftKmIMldBkbg&path=%2F5cc_ts%2Ftestt_test&expires=1777881461"
}
}
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "testt_test",
"securetoken": {
"enabled": "Y",
"policy": "D",
"keyip": "N",
"list": "aaa0efb4415b78b4",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "Y"
},
"domainlock": {
"enabled": "Y",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "Y",
"active": "Y"
},
"geoblock": {
"enabled": "Y",
"policy": "Y",
"list": [
"AF"
],
"ips": "",
"active": "Y"
},
"ipaccess": {
"enabled": "Y",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "Y",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [],
"messages": {},
"adInsertion": null
}
}
/streams/timeshift/{streamid}/domainlockTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
Enable or disable this feature. Y means enabled, N means disabled.
Access policy for domain lock. Y means whitelist (allow listed domain), N means blacklist (block listed domain).
Block requests with no referrer header. Y means blocked, N means allowed.
Comma-separated list of allowed or blocked entries.
Comma-separated IP addresses for access control. Leave empty for none.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Access policy for domain lock. Y means whitelist (allow listed domain), N means blacklist (block listed domain).
YResponses
Status of the API response.
Human-readable message describing the result.
Stream object containing configuration and status details.